import { defineStore } from 'pinia';
import { TLogin } from "@/api/index.d";

export const useCommonStore = defineStore('common', {
  state: () => {
    return {
      time: new Date(),
      user: <TLogin.IRes>{}
    };
  },
  getters: {},
  actions: {
    setTime() {
      this.time = new Date();
    },
    setUser(data: TLogin.IRes) {
      this.user = data
    },
    clearStore() {
      this.$reset();
    }
  },
  persist: true
});
